Bug 438876 - Test bug: more character processing
Test bug: more character processing
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Test (Show other bugs)
3.2
other All
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 13:55 EDT by IBM Mirproxy
Modified: 2013-06-23 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 11:35:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 29975 None None None Never

  None (edit)
Description IBM Mirproxy 2008-03-25 13:55:16 EDT
=Comment: #0=================================================
mirproxy <mirproxy@us.ibm.com> - 2008-03-25 13:53 EDT
---Problem Description---
Further testing of character processing ...
Attempt to inject a 0x96 here ==>`<==
End of test comments!
 
Contact Information = Me
 
---uname output---
n/a
 
Machine Type = n/a
 
---Debugger---
A debugger is not configured
 
---All Component Data---
Comment 1 IBM Mirproxy 2008-03-25 14:00:26 EDT
grr ... wrong character ... try again!
Attempt to inject a 0x96 here ==>û<==
End of second test comment!
Comment 2 IBM Mirproxy 2008-03-25 14:09:57 EDT
Add some debug and resend.
Comment 3 IBM Mirproxy 2008-03-25 14:12:38 EDT
Attempt to inject another 0x96 here ==>û<==
End of third test comment!
Comment 4 IBM Bug Proxy 2008-03-25 14:17:30 EDT
Hmm ... I'm stumped at the moment. During processing the character was
transmitted as %BB:

[2008.03.25 13:12:37.745 (QueueManager-6.modify.0.helper)
bugzilla.custom.api.RHBugzillaBug-doProcessBug] PostMethod request =
id=438876&knob=none&form_name=process_bug&longdesclength=1&bug_file_loc=&reporter_accessible=1&cclist_accessible=1&comment=Attempt+to+inject+another+0x96+here+%3D%3D%3E%C3%BB%3C%3D%3D%0AEnd+of+third+test+comment%21&target_milestone=---&product=Bugzilla&component=Test&reporter_accessible=1&qa_contact=&resolution=&serverurl=https%3A%2F%2Fbugzilla.redhat.com%2F&assigned_to=bugzilla-maint%40redhat.com&bug_severity=medium&public_release=&version=2.8&cclist_accessible=1&creation_ts=2008-03-25+13%3A55+EST&short_desc=Test+bug%3A+more+character+processing&reporter=mirproxy%40linux.vnet.ibm.com&rep_platform=other&op_sys=All&priority=low&reference=&defferedresolution=&fixedresolution=&rejectresolution=
Comment 5 IBM Mirproxy 2008-03-25 14:22:14 EDT
More precisely, the character was transmitted as two bytes:  %C3%BB%
Comment 6 David Lawrence 2008-09-16 12:56:05 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Note You need to log in before you can comment on or make changes to this bug.